srvpm.h
Go to the documentation of this file.
/**
* @file srvpm.h
* @brief srv:pm service.
*/
#pragma once
/// Initializes srv:pm and the service API.
Result srvPmInit(void);
/// Exits srv:pm and the service API.
void srvPmExit(void);
/**
* @brief Gets the current srv:pm session handle.
* @return The current srv:pm session handle.
*/
Handle *srvPmGetSessionHandle(void);
/**
* @brief Publishes a notification to a process.
* @param notificationId ID of the notification.
* @param process Process to publish to.
*/
Result SRVPM_PublishToProcess(u32 notificationId, Handle process);
/**
* @brief Publishes a notification to all processes.
* @param notificationId ID of the notification.
*/
Result SRVPM_PublishToAll(u32 notificationId);
/**
* @brief Registers a process with SRV.
* @param pid ID of the process.
* @param count Number of services within the service access control data.
* @param serviceAccessControlList Service Access Control list.
*/
Result SRVPM_RegisterProcess(u32 pid, u32 count, const char (*serviceAccessControlList)[8]);
/**
* @brief Unregisters a process with SRV.
* @param pid ID of the process.
*/
Result SRVPM_UnregisterProcess(u32 pid);
SRVPM_RegisterProcess
Result SRVPM_RegisterProcess(u32 pid, u32 count, const char(*serviceAccessControlList)[8])
Registers a process with SRV.
SRVPM_PublishToAll
Result SRVPM_PublishToAll(u32 notificationId)
Publishes a notification to all processes.
srvPmInit
Result srvPmInit(void)
Initializes srv:pm and the service API.
srvPmExit
void srvPmExit(void)
Exits srv:pm and the service API.
SRVPM_PublishToProcess
Result SRVPM_PublishToProcess(u32 notificationId, Handle process)
Publishes a notification to a process.
srvPmGetSessionHandle
Handle * srvPmGetSessionHandle(void)
Gets the current srv:pm session handle.
SRVPM_UnregisterProcess
Result SRVPM_UnregisterProcess(u32 pid)
Unregisters a process with SRV.
Handle
u32 Handle
Resource handle.
Definition: types.h:41
Result
s32 Result
Function result.
Definition: types.h:42
u32
uint32_t u32
32-bit unsigned integer
Definition: types.h:23